%define anolis_release 1

Name:		libraqm
Version:	0.10.0
Release:	%{anolis_release}%{?dist}
Summary:	Complex Textlayout Library
License:	MIT
URL:		https://github.com/HOST-Oman/libraqm
Source0:	https://github.com/HOST-Oman/libraqm/archive/refs/tags/v%{version}.tar.gz

BuildRequires:	meson
BuildRequires:	gcc
BuildRequires:	freetype-devel
BuildRequires:	harfbuzz-devel
BuildRequires:	fribidi-devel
BuildRequires:	gtk-doc

%description
Raqm is a small library that encapsulates the logic for complex text layout and provides a convenient API.

	
%package devel
Summary: 	Complex Textlayout Library
Requires:	%{name} = %{version}-%{release}
	
%description devel
Library that encapsulates the logic for complex
text layout and provides a convenient API.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson -Ddocs=true
%meson_build

%install
%meson_install
%generate_compatibility_deps

%check	
export LC_ALL=C.utf8
%meson_test

%files
%license COPYING
%{_libdir}/libraqm.so.*
%dir %{abidir}
%{abidir}/libraqm.dump

%files devel
%{_includedir}/raqm.h
%{_includedir}/raqm-version.h
%{_libdir}/libraqm.so
%{_libdir}/pkgconfig/raqm.pc
 
%files doc
%doc AUTHORS NEWS README.md
%{_datadir}/gtk-doc/html/raqm

%changelog
* Thu Mar 23 2023 happy_orange <songnannan@linux.alibaba.com> - 0.10.0-1
- init package from upstream
